Package org.apache.synapse.commons.throttle.module

## Class ThrottleObserver

- java.lang.Object
- - org.apache.synapse.commons.throttle.module.ThrottleObserver

- All Implemented Interfaces:
    `org.apache.axis2.description.ParameterInclude`, `org.apache.axis2.engine.AxisObserver`

      public class ThrottleObserver
      extends Object
      implements org.apache.axis2.engine.AxisObserver

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ThrottleObserver​(org.apache.axis2.context.ConfigurationContext configctx, Throttle defaultThrottle)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addParameter​(org.apache.axis2.description.Parameter parameter)` |
    `void` | `deserializeParameters​(org.apache.axiom.om.OMElement omElement)` |
    `org.apache.axis2.description.Parameter` | `getParameter​(String s)` |
    `ArrayList<org.apache.axis2.description.Parameter>` | `getParameters()` |
    `void` | `init​(org.apache.axis2.engine.AxisConfiguration axisConfiguration)` |
    `boolean` | `isParameterLocked​(String s)` |
    `void` | `moduleUpdate​(org.apache.axis2.engine.AxisEvent axisEvent, org.apache.axis2.description.AxisModule axisModule)` |
    `void` | `removeParameter​(org.apache.axis2.description.Parameter parameter)` |
    `void` | `serviceGroupUpdate​(org.apache.axis2.engine.AxisEvent axisEvent, org.apache.axis2.description.AxisServiceGroup axisServiceGroup)` |
    `void` | `serviceUpdate​(org.apache.axis2.engine.AxisEvent axisEvent, org.apache.axis2.description.AxisService axisService)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThrottleObserver

          public ThrottleObserver​(org.apache.axis2.context.ConfigurationContext configctx,
                                  Throttle defaultThrottle)

  - ### Method Detail

    - #### init

          public void init​(org.apache.axis2.engine.AxisConfiguration axisConfiguration)

      Specified by:
        `init` in interface `org.apache.axis2.engine.AxisObserver`

    - #### serviceUpdate

          public void serviceUpdate​(org.apache.axis2.engine.AxisEvent axisEvent,
                                    org.apache.axis2.description.AxisService axisService)

      Specified by:
        `serviceUpdate` in interface `org.apache.axis2.engine.AxisObserver`

    - #### serviceGroupUpdate

          public void serviceGroupUpdate​(org.apache.axis2.engine.AxisEvent axisEvent,
                                         org.apache.axis2.description.AxisServiceGroup axisServiceGroup)

      Specified by:
        `serviceGroupUpdate` in interface `org.apache.axis2.engine.AxisObserver`

    - #### moduleUpdate

          public void moduleUpdate​(org.apache.axis2.engine.AxisEvent axisEvent,
                                   org.apache.axis2.description.AxisModule axisModule)

      Specified by:
        `moduleUpdate` in interface `org.apache.axis2.engine.AxisObserver`

    - #### addParameter

          public void addParameter​(org.apache.axis2.description.Parameter parameter)
                            throws org.apache.axis2.AxisFault

      Specified by:
        `addParameter` in interface `org.apache.axis2.description.ParameterInclude`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### removeParameter

          public void removeParameter​(org.apache.axis2.description.Parameter parameter)
                               throws org.apache.axis2.AxisFault

      Specified by:
        `removeParameter` in interface `org.apache.axis2.description.ParameterInclude`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### deserializeParameters

          public void deserializeParameters​(org.apache.axiom.om.OMElement omElement)
                                     throws org.apache.axis2.AxisFault

      Specified by:
        `deserializeParameters` in interface `org.apache.axis2.description.ParameterInclude`
      Throws:
        `org.apache.axis2.AxisFault`

    - #### getParameter

          public org.apache.axis2.description.Parameter getParameter​(String s)

      Specified by:
        `getParameter` in interface `org.apache.axis2.description.ParameterInclude`

    - #### getParameters

          public ArrayList<org.apache.axis2.description.Parameter> getParameters()

      Specified by:
        `getParameters` in interface `org.apache.axis2.description.ParameterInclude`

    - #### isParameterLocked

          public boolean isParameterLocked​(String s)

      Specified by:
        `isParameterLocked` in interface `org.apache.axis2.description.ParameterInclude`